> ## Documentation Index
> Fetch the complete documentation index at: https://docs.tilt.io/llms.txt
> Use this file to discover all available pages before exploring further.

# Create Asset Class

> Create a new asset class in the organization



## OpenAPI

````yaml POST /api/v1/custom/org/{organization_uuid}/asset_classes/
openapi: 3.0.3
info:
  title: TILT
  version: 0.0.1
servers: []
security: []
paths:
  /api/v1/custom/org/{organization_uuid}/asset_classes/:
    post:
      tags:
        - api
      description: Create a new asset class in the organization
      operationId: api_v1_custom_org_asset_classes_create
      parameters:
        - in: path
          name: organization_uuid
          schema:
            type: string
            format: uuid
          required: true
      requestBody:
        content:
          application/json:
            schema:
              $ref: '#/components/schemas/AssetClassWrite'
          application/x-www-form-urlencoded:
            schema:
              $ref: '#/components/schemas/AssetClassWrite'
          multipart/form-data:
            schema:
              $ref: '#/components/schemas/AssetClassWrite'
        required: true
      responses:
        '201':
          content:
            application/json:
              schema:
                $ref: '#/components/schemas/AssetClassRead'
          description: ''
      security:
        - ProAPIToken: []
components:
  schemas:
    AssetClassWrite:
      type: object
      description: >-
        Serializer for creating and updating AssetClass data.

        Requires exactly one of benchmark_index_identifier, index_uuid,
        tilt_uuid,

        or single_security_tilt_asset_id.
      properties:
        name:
          type: string
          maxLength: 255
        description:
          type: string
        benchmark_index_identifier:
          type: string
          nullable: true
        index_uuid:
          type: string
          format: uuid
          nullable: true
        tilt_uuid:
          type: string
          format: uuid
          nullable: true
        single_security_tilt_asset_id:
          type: string
          nullable: true
          description: >-
            tilt_asset_id of a single ticker held at 100% by this asset class
            sleeve.
        alternative_etf_tilt_asset_ids:
          type: array
          items:
            type: string
          nullable: true
          description: >-
            List of alternative ETF tilt_asset_ids. Only used when asset_class
            has a benchmark_index (ETF).
      required:
        - description
        - name
    AssetClassRead:
      type: object
      description: Serializer for reading AssetClass data.
      properties:
        uuid:
          type: string
          format: uuid
          readOnly: true
        name:
          type: string
          maxLength: 255
        description:
          type: string
        benchmark_index_name:
          type: string
          nullable: true
          readOnly: true
        benchmark_index_identifier:
          type: string
          nullable: true
          readOnly: true
        index_name:
          type: string
          nullable: true
          readOnly: true
        index_uuid:
          type: string
          format: uuid
          readOnly: true
          nullable: true
        tilt_name:
          type: string
          nullable: true
          readOnly: true
        tilt_uuid:
          type: string
          format: uuid
          readOnly: true
          nullable: true
        single_security_tilt_asset_id:
          type: string
          nullable: true
          readOnly: true
        single_security_symbol:
          type: string
          nullable: true
          readOnly: true
        alternative_etf_tilt_asset_ids:
          type: array
          items:
            type: string
          description: Return list of alternative ETF tilt_asset_ids.
          readOnly: true
        created:
          type: string
          format: date-time
          readOnly: true
        modified:
          type: string
          format: date-time
          readOnly: true
      required:
        - alternative_etf_tilt_asset_ids
        - benchmark_index_identifier
        - benchmark_index_name
        - created
        - description
        - index_name
        - index_uuid
        - modified
        - name
        - single_security_symbol
        - single_security_tilt_asset_id
        - tilt_name
        - tilt_uuid
        - uuid
  securitySchemes:
    ProAPIToken:
      type: apiKey
      in: header
      name: X-Api-Key

````